summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-07-27 13:13:46 +0300
committerMart Raudsepp <leio@gentoo.org>2019-07-27 13:13:46 +0300
commit5e34f9942fe2cbb7320ec0ea9dc91e92ce4f3f75 (patch)
tree5b90955ce39b35400357c0b3f3da00e54699519f /net-misc/networkmanager
parentvcs-snapshot.eclass: Detect unnecessary usage and complain (diff)
downloadgentoo-5e34f9942fe2cbb7320ec0ea9dc91e92ce4f3f75.tar.gz
gentoo-5e34f9942fe2cbb7320ec0ea9dc91e92ce4f3f75.tar.bz2
gentoo-5e34f9942fe2cbb7320ec0ea9dc91e92ce4f3f75.zip
net-misc/networkmanager: relax nss vs gnutls requirement
just default to nss for now when both are set, as the configure passing logic already does. Closes: https://bugs.gentoo.org/686408 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'net-misc/networkmanager')
-rw-r--r--net-misc/networkmanager/networkmanager-1.18.2.ebuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/net-misc/networkmanager/networkmanager-1.18.2.ebuild b/net-misc/networkmanager/networkmanager-1.18.2.ebuild
index b0be3d5fd13..f5a8fca5e85 100644
--- a/net-misc/networkmanager/networkmanager-1.18.2.ebuild
+++ b/net-misc/networkmanager/networkmanager-1.18.2.ebuild
@@ -22,7 +22,7 @@ REQUIRED_USE="
iwd? ( wifi )
vala? ( introspection )
wext? ( wifi )
- ^^ ( nss gnutls )
+ || ( nss gnutls )
?? ( consolekit elogind systemd )
"
@@ -50,14 +50,14 @@ COMMON_DEPEND="
dhclient? ( >=net-misc/dhcp-4[client] )
dhcpcd? ( net-misc/dhcpcd )
elogind? ( >=sys-auth/elogind-219 )
- gnutls? (
- dev-libs/libgcrypt:0=[${MULTILIB_USEDEP}]
- >=net-libs/gnutls-2.12:=[${MULTILIB_USEDEP}] )
introspection? ( >=dev-libs/gobject-introspection-0.10.3:= )
json? ( >=dev-libs/jansson-2.5[${MULTILIB_USEDEP}] )
modemmanager? ( >=net-misc/modemmanager-0.7.991:0= )
ncurses? ( >=dev-libs/newt-0.52.15 )
nss? ( >=dev-libs/nss-3.11:=[${MULTILIB_USEDEP}] )
+ !nss? ( gnutls? (
+ dev-libs/libgcrypt:0=[${MULTILIB_USEDEP}]
+ >=net-libs/gnutls-2.12:=[${MULTILIB_USEDEP}] ) )
ofono? ( net-misc/ofono )
ovs? ( dev-libs/jansson )
ppp? ( >=net-dialup/ppp-2.4.5:=[ipv6] )